# ezQuake Manual: FPS and EyeCandy Settings Variables

## cl_deadbodyFilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Don't filter dead bodies.
1 | Filter dead bodies.
2 | Filter dead bodies instant.

## cl_fakeshaft

### Description

Smoothes out shaft movement, 0 means no smoothing at all, 1 - 100% smoothing; a value of about 0.5 is recommended for modem players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_gibFilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Gibs are turned off.
0 | Gibs on.

## cl_hidenails

### Description

Toggles nails visibility.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_hiderockets

### Description

Toggles rockets visibility. Variable cl_r2g must be 0 to cl_hiderockets 1 work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_maxfps

### Description

This variable sets the maximum limit for frames-per-second.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_model_bobbing

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Rotating models bob up and down like in Quake3.
0 | Off.

## cl_muzzleflash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | All turned off.
1 | All turned on.
2 | Own's flash off, all other on.

## cl_nolerp

### Description

Objects interpolation.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | This causes the game to only display 1 frame per loading of positions, so it loads a positions in, displays a frame then loads positions, displays a frame, etc.
0 | Normally in a netgame, when you are playing Quake plays for a bit, then check for the other players TCP/IP packets. This causes smooth play with the occasional jerk as it loads positions.

## cl_physfps

### Description

Sets amount of FPS used to communicate with server. This variable is used when +set cl_independentphysics 1 is set so your current amount of FPS is limited by cl_maxfps while this variable limits amout of FPS sent/received to/from server. When set to zero current cl_maxfps value is used. When cl_maxfps is set to zero too, client displays as much FPS as server and data rate allows.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_r2g

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Converts all rockets to grenades.
0 | Normal rockets models.

## cl_trueLightning

This variable has been updated

### Description

Old name for the cl_fakeshaft cvar. Smoothes out shaft movement, 0 means no smoothing at all, 1 - 100% smoothing; a value of about 0.5 is recommended for modem players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

## gl_detail

### Description

Turns on/off fine detailed textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | On (Looks awesome, but you will take a giant FPS hit if you don't have a good video card).
0 | Off.

## r_chaticons_alpha

### Description

Opacity of chaticons.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.8

Variable is float.
0 mean no icons at all, 0.5 mean half opacity and 1 is opaque.

## r_drawentities

### Description

This variable can be used to disable that any object entities are drawn. This command is useful to map authors who wish to take a look at their map without drawing any objects such as lifts, buttons, platforms or items.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display all entities.
0 | Display no entities.

## r_drawflame

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display all flames.
0 | Display no flames.

## r_explosionLight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | No explosion light.
0.5 | 50% explosion light.
1 | 100% explosion light.

## r_explosionLightColor

### Description

Determines the colour of the explosion light.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White
6 | Random

## r_explosionType

### Description

0 = Fire + sparks 1 = Fire only 2 = Teleport 3 = Blood 4 = Big blood 5 = Double gunshot 6 = Blob effect 7 = Big explosion 8 = Fuel Rod Gun Explosion

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## r_flagColor

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White

## r_grenadeTrail

### Description

Customizable grenade trails 0 = No rocket trail 1 = Normal 2 = Grenade trail 3 = Alt normal trail 4 = Slight blood trail 5 = Big blood trail 6 = Tracer1 trail 7 = Tracer2 trail 8 = Plasma trail 9 = Lavaball trail 10 = Fuel Rod Gun trail 11 = Plasma Rocket Mk II trail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

Works the same way as r_rockettrail, but for grenades.

## r_lerpframes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable smoothing (watch people moving in mvd demos with cl_demospeed 0.1).
0 | Disable smoothing.

## r_lerpmuzzlehack

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Fix for interpolated muzzle flashes.
0 | No fix for interpolated muzzle flashes.

## r_lgbloodColor

### Description

Determines the color of the blood (for standard particles). The QW-default value is 225.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 225

Variable is float.

## r_lightflicker

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable rocket/explosion/flag/powerup light flickering.
0 | Disable rocket/explosion/flag/powerup light flickering.

## r_powerupGlow

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Powerup glow is turned off on all players.
1 | Powerup glow on.
2 | Disables the powerup glow from yourself only.

## r_rocketLight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Turn on dynamic lighting of rockets.
0 | Turn off dynamic lighting of rockets.

## r_rocketLightColor

### Description

Determines the colour of the rocket light.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White

## r_rocketTrail

### Description

0 = No rocket trail 1 = Normal 2 = Grenade trail 3 = Alt normal trail 4 = Slight blood trail 5 = Big blood trail 6 = Tracer1 trail 7 = Tracer2 trail 8 = Plasma trail 9 = Lavaball trail 10 = Fuel Rod Gun trail 11 = Plasma Rocket Mk II trail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

Note that if you use the rocket trails, you will have to change the explosion colours and things like that yourself. And you might want to try hiding the rockets with the new cl_hiderockets cvar for some trails are intended to be "beam" trails.

## r_shiftbeam

### Description

Shift start of the shaft lights.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Doesn't work with smackdown ruleset. Intended for movies.

## r_telesplash

### Description

Toggles teleport splash effect.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable teleport splashes.
0 | Disable teleport splashes.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs